condivisi.vo

## Class DatiApplicativo

- java.lang.Object
- - condivisi.vo.DatiApplicativo

-     public class DatiApplicativo
      extends java.lang.Object

  `DatiApplicativo` rappresenta le informazioni dell'applicativo operatore che accede ai servizi esposti.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `applDigest` Stringa di 28 caratteri ottenuta come trasformazione in base64 di (SHA-1(nonce+created+codiceapplicativo))
    `private java.lang.String` | `created` Timestamp nel formato aaaa-mm-ggThh:mm:ssZ (es. 2009-08-16T12:07:00+0100)
    `private java.lang.String` | `nome` Nome dell'applicativo
    `private java.lang.String` | `nonce` Stringa casuale di 20 caratteri alfanumerici
    `private java.lang.String` | `produttore` Produttore dell'applicativo
    `private java.lang.String` | `versione` Versione dell'applicativo

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatiApplicativo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplDigest()`
    `java.lang.String` | `getCreated()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getNonce()`
    `java.lang.String` | `getProduttore()`
    `java.lang.String` | `getVersione()`
    `void` | `setApplDigest(java.lang.String applDigest)`
    `void` | `setCreated(java.lang.String created)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setNonce(java.lang.String nonce)`
    `void` | `setProduttore(java.lang.String produttore)`
    `void` | `setVersione(java.lang.String versione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nome

          private java.lang.String nome

      Nome dell'applicativo

    - #### produttore

          private java.lang.String produttore

      Produttore dell'applicativo

    - #### versione

          private java.lang.String versione

      Versione dell'applicativo

    - #### nonce

          private java.lang.String nonce

      Stringa casuale di 20 caratteri alfanumerici

    - #### created

          private java.lang.String created

      Timestamp nel formato aaaa-mm-ggThh:mm:ssZ (es. 2009-08-16T12:07:00+0100)

    - #### applDigest

          private java.lang.String applDigest

      Stringa di 28 caratteri ottenuta come trasformazione in base64 di (SHA-1(nonce+created+codiceapplicativo))

  - ### Constructor Detail

    - #### DatiApplicativo

          public DatiApplicativo()

  - ### Method Detail

    - #### getApplDigest

          public java.lang.String getApplDigest()

    - #### setApplDigest

          public void setApplDigest(java.lang.String applDigest)

    - #### getCreated

          public java.lang.String getCreated()

    - #### setCreated

          public void setCreated(java.lang.String created)

    - #### getNome

          public java.lang.String getNome()

    - #### setNome

          public void setNome(java.lang.String nome)

    - #### getNonce

          public java.lang.String getNonce()

    - #### setNonce

          public void setNonce(java.lang.String nonce)

    - #### getProduttore

          public java.lang.String getProduttore()

    - #### setProduttore

          public void setProduttore(java.lang.String produttore)

    - #### getVersione

          public java.lang.String getVersione()

    - #### setVersione

          public void setVersione(java.lang.String versione)